#include <bits/stdc++.h>

using namespace std;

int n, x, A[1000004];
long long najdkom, najbkom;
int main(){
najdkom=-100000004;
najbkom=100000004;
    cin>>n>>x;
        for(int i=1; i<=n; i++){
            cin>>A[i];
        if(najdkom<A[i]) najdkom=A[i];
        if(najbkom>A[i]) najbkom=A[i];
        }
    if(x<najbkom) {cout<<najdkom-x;}
    else if(x>najdkom) {cout<<x-najbkom;}
    else if((x-najbkom)>abs(x-najdkom)) {cout<<abs(x-najdkom)*2+(x-najbkom);}
    else {cout<<(x-najbkom)*2+abs(x-najdkom);}

return 0;
}